Bug 1286238 - UI permits creation of subscription management application with invalid name
UI permits creation of subscription management application with invalid name
Status: CLOSED CURRENTRELEASE
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: WebUI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity high
: TP2
: 1.0
Assigned To: Dylan Murray
Dave Johnson
: Triaged
Depends On:
Blocks: rhci-sprint-12
  Show dependency treegraph
 
Reported: 2015-11-27 09:46 EST by Antonin Pagac
Modified: 2016-10-03 15:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-03 15:04:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonin Pagac 2015-11-27 09:46:09 EST
Description of problem:
In the Subscription section, user is permitted to create new Subscription management application without checking for invalid characters. The application with invalid characters actually gets created on the server, which may cause problems referencing it and deleting it.

According to acces.redhat.com:
"Name may only contain letters, numbers, period, underscore, or hyphen."

Version-Release number of selected component (if applicable):
RHCI-6.0-RHEL-7-20151118.t.0-RHCI-x86_64-dvd1.iso

How reproducible:
Always

Steps to Reproduce:
1. Start a deployment
2. Go to Subscription section
3. Click on "New Subscription Management Application", input invalid characters
4. Application gets created. Check on access.redhat.com, it is there.

Actual results:
Subscription management application with invalid characters in the name gets created

Expected results:
RHCI UI checks for invalid characters, prints error; does not allow to continue

Additional info:
Comment 1 Dylan Murray 2016-01-14 16:22:16 EST
https://github.com/fusor/fusor/pull/626

Invalid characters now displays an error message letting the user know the management application was not created.
Comment 2 Antonin Pagac 2016-01-15 06:48:37 EST
Failed QA.

I'm able to add application with invalid name:

"apagac-%ˇˇ+$$'>*\(/| added successfully."


RHCI-6.0-RHEL-7-20160114.t.0-RHCI-x86_64-dvd1.iso
Comment 3 Antonin Pagac 2016-01-26 06:40:47 EST
Verified.

RHCI-6.0-RHEL-7-20160122.t.1-RHCI-x86_64-dvd1.iso

Note You need to log in before you can comment on or make changes to this bug.